# Uses of Interface
org.springframework.test.context.BootstrapContext

Packages that use BootstrapContext
Package
Description
org.springframework.test.context
This package contains the Spring TestContext Framework which provides annotation-driven unit and integration testing support that is agnostic of the actual testing framework in use.
org.springframework.test.context.support
Support classes for the Spring TestContext Framework.

## Uses of BootstrapContext in org.springframework.test.context

Methods in org.springframework.test.context that return BootstrapContext
Modifier and Type
Method
Description
`BootstrapContext`
TestContextBootstrapper.`getBootstrapContext()`
Get the `BootstrapContext` associated with this bootstrapper.
Methods in org.springframework.test.context with parameters of type BootstrapContext
Modifier and Type
Method
Description
`void`
TestContextBootstrapper.`setBootstrapContext(BootstrapContext bootstrapContext)`
Set the `BootstrapContext` to be used by this bootstrapper.

## Uses of BootstrapContext in org.springframework.test.context.support

Classes in org.springframework.test.context.support that implement BootstrapContext
Modifier and Type
Class
Description
`class`
`DefaultBootstrapContext`
Default implementation of the `BootstrapContext` interface.
Methods in org.springframework.test.context.support that return BootstrapContext
Modifier and Type
Method
Description
`BootstrapContext`
AbstractTestContextBootstrapper.`getBootstrapContext()`
Methods in org.springframework.test.context.support with parameters of type BootstrapContext
Modifier and Type
Method
Description
`void`
AbstractTestContextBootstrapper.`setBootstrapContext(BootstrapContext bootstrapContext)`